OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GLU.ErrorsInternal

Description

This is a purely internal module corresponding to some parts of section 2.5 (GL Errors) of the OpenGL 2.1 specs and chapter 8 (Errors) of the GLU specs.

Synopsis

- data Error = Error ErrorCategory String
- data ErrorCategory
  - = InvalidEnum
  - | InvalidValue
  - | InvalidOperation
  - | InvalidFramebufferOperation
  - | OutOfMemory
  - | StackOverflow
  - | StackUnderflow
  - | TableTooLarge
  - | TesselatorError
  - | NURBSError
- getErrors :: IO [Error]
- recordErrorCode :: GLenum -> IO ()
- recordInvalidEnum :: IO ()
- recordInvalidValue :: IO ()
- recordOutOfMemory :: IO ()

# Documentation

data Error

GL/GLU errors consist of a general error category and a description of what went wrong.

Constructors

Error ErrorCategory String |

Instances

Eq Error |
Ord Error |
Show Error |

data ErrorCategory

General GL/GLU error categories

Constructors

InvalidEnum |
InvalidValue |
InvalidOperation |
InvalidFramebufferOperation |
OutOfMemory |
StackOverflow |
StackUnderflow |
TableTooLarge |
TesselatorError |
NURBSError |

Instances

Eq ErrorCategory |
Ord ErrorCategory |
Show ErrorCategory |

getErrors :: IO [Error]

recordErrorCode :: GLenum -> IO ()

recordInvalidEnum :: IO ()

recordInvalidValue :: IO ()

recordOutOfMemory :: IO ()